%define name	wmmail
%define ver	0.63a
%define rel	1

Summary: Mail monitoring applet
Name: %name
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/Utilities
Source: http://www.eecg.utoronto.ca/~chanb/WMMail.app-%{ver}.tar.gz
BuildRoot: /tmp/%{name}-root
URL: http://www.eecg.utoronto.ca/~chanb/wmmail.html
Docdir: /usr/doc
Packager: Jochem Wichers Hoeth <wiho@chem.uva.nl>

%description
Wmmail is a mail monitoring applet designed for the
Window Maker dock.

%prep
%setup -q -n WMMail.app-%{ver}

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr/X11R6/lib
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/GNUstep/Apps/WMMail.app/{Anims,Defaults,Sounds}
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/GNUstep/Apps/WMMail.app/Anims/{NeXT,asmail,e,monitor-e}
install -s -m 755 -o 0 -g 0 WMMail $RPM_BUILD_ROOT/usr/X11R6/lib/GNUstep/Apps/WMMail.app/WMMail
install -m 644 -o 0 -g 0 Defaults/WMMail $RPM_BUILD_ROOT/usr/X11R6/lib/GNUstep/Apps/WMMail.app/Defaults/WMMail
install -m 644 -o 0 -g 0 Anims/NeXT/*.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/GNUstep/Apps/WMMail.app/Anims/NeXT
install -m 644 -o 0 -g 0 Anims/asmail/*.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/GNUstep/Apps/WMMail.app/Anims/asmail
install -m 644 -o 0 -g 0 Anims/e/*.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/GNUstep/Apps/WMMail.app/Anims/e
install -m 644 -o 0 -g 0 Anims/monitor-e/*.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/GNUstep/Apps/WMMail.app/Anims/monitor-e
install -m 644 -o 0 -g 0 Sounds/*.au $RPM_BUILD_ROOT/usr/X11R6/lib/GNUstep/Apps/WMMail.app/Sounds

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/lib/GNUstep/Apps/WMMail.app/WMMail
/usr/X11R6/lib/GNUstep/Apps/WMMail.app/Anims/NeXT/*.xpm
/usr/X11R6/lib/GNUstep/Apps/WMMail.app/Anims/asmail/*.xpm
/usr/X11R6/lib/GNUstep/Apps/WMMail.app/Anims/e/*.xpm
/usr/X11R6/lib/GNUstep/Apps/WMMail.app/Anims/monitor-e/*.xpm
/usr/X11R6/lib/GNUstep/Apps/WMMail.app/Sounds/*.au
%config /usr/X11R6/lib/GNUstep/Apps/WMMail.app/Defaults/WMMail
%doc AUTHORS COPYING ChangeLog NEWS README

%changelog
* Thu May 20 1999 Jochem Wichers Hoeth <wiho@chem.uva.nl>
- first build
